using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class Default : System.Web.UI.Page 
{
    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);

        shippersGrid.ItemDataBound += new GridItemEventHandler(shippersGrid_ItemDataBound);
    }

    void shippersGrid_ItemDataBound(object sender, GridItemEventArgs e)
    {
        if (e.Item is GridDataItem && e.Item.IsInEditMode)
        {
            GridDataItem item = (GridDataItem)e.Item;
            LinkButton updateButton = item.FindControl("UpdateButton") as LinkButton;
            if (updateButton != null)
            {
                updateButton.Text = "UpdateButton1";
            }
            LinkButton cancelButton = item.FindControl("CancelButton") as LinkButton;
            if (cancelButton != null)
            {
                cancelButton.Text = "CancelButton1";
            }
            LinkButton insertButton = item.FindControl("PerformInsertButton") as LinkButton;
            if (insertButton != null)
            {
                insertButton.Text = "InserButton1";
            }
        }
    }
}
